﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace AssignFieldLayoutMVVM
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        List<Car> list;
        public MainWindow()
        {
            InitializeComponent();
            list = new List<Car>
            {
                new Car { Make = "carmake", Model = "carmodel", Brand = "carbrand" },
            };
            DataContext = list;
        }
       
        private void XamDataGrid_AssigningFieldLayoutToItem(object sender, Infragistics.Windows.DataPresenter.Events.AssigningFieldLayoutToItemEventArgs e)
        {
            if (check1.IsChecked == true)
            {
                e.FieldLayout = (sender as XamDataGrid).FieldLayouts["Car1"];
            }
            else e.FieldLayout = (sender as XamDataGrid).FieldLayouts["Car2"];
        }

        private void check1_Checked(object sender, RoutedEventArgs e)
        {
            grid1.DataSource = null;
            grid1.DataSource = list;            
        }
    } 

    public class Car
    {
        public string Make { get; set; }
        public string Model { get; set; }
        public string Brand { get; set; }
    }
}
